# A description of what this class does
#
# @summary A short summary of the purpose of this class
#
# @example
#   include openldap::server
class openldap::server (
  String                $owner,
  String                $group,
  String                $server_package,
  String                $server_service,
  Enum['olc', 'augeas'] $provider,
  Array[String]         $ldap_ifs,
  Array[String]         $ldaps_ifs,
  Array[String]         $ldapi_ifs,
)
{
  class { 'openldap::server::install': }
  -> class { 'openldap::server::config': }
  ~> class { 'openldap::server::service': }

  case $provider {
    'augeas': {
      Class['openldap::server::install']
      ~> Class['openldap::server::service']
      -> Class['openldap::server']
    }
    'olc': {
      Class['openldap::server::service']
      -> Class['openldap::server']
    }
    default: {
      fail "Invalid config provider ${provider}"
    }
  }
}
