require 'spec_helper'

describe 'openldap::server::install' do
  on_supported_os.each do |os, os_facts|
    context "on #{os}" do
      let(:facts) { os_facts }
      let(:pre_condition) { "class {'openldap::server':}" }

      it { is_expected.to compile.with_all_deps }

      case os_facts[:osfamily]
      when 'Debian'
        it { is_expected.to contain_file('/var/cache/debconf/slapd.preseed') }
      else
        it { is_expected.not_to contain_file('/var/cache/debconf/slapd.preseed') }
      end
    end
  end
end
